<template>
  <l-marker :lat-lng="{lat: accesspointInfo.lat, lng: accesspointInfo.lng}" :draggable="draggable">
    <l-icon :icon-size="[18,18]" :icon-anchor="[12,12]" :icon-url="SVG" ></l-icon>
  </l-marker>
</template>
<script setup>
  import { LMarker, LIcon } from "@vue-leaflet/vue-leaflet";

  import SVG from "@assets/poste.svg"
  import { onMounted } from "vue";

  const model = defineModel({
    type: Object,
  })

  const props = defineProps({
    draggable: Boolean,
    accesspointInfo: Object
  })

</script>